#
# spec file for package f2c (Version 0.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcsh yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcsh texinfo textutils timezone unzip util-linux vim yacc

Name:         f2c
Copyright:    1990-95 ATCopyright: T Bell Laboratories and Bellcore.
Group:        Development/Languages/Fortran
Autoreqprov:  on
Version:      0.11
Release:      422
Summary:      A Fortran-77 to C translator
Source: f2c.tgz
Source1: yaf77-1.6.tgz
Source2: libf2c.zip
Source3: f2c.h.gz
Source4: f2c.ps.gz
Source5: permission.gz
Source6: readme.gz
Source7: disclaimer.gz
Source8: changes.gz
Source9: f2c.1t.gz
Source10: fc.gz
Patch: f2c.dif

%description
Contains libf2c.so.0.11, ported by Rob Hooft. This package uses
an 'f77' script that hides the C translation process from the user.

Authors:
--------
    David Gay <dmg@bell-labs.com>
    Stu Feldman
    Mark Maimone
    Norm Schryer
    Rob Hooft (maintainer for Linux) <Hooft@EMBL-Heidelberg.DE>

SuSE series: d

%prep
%setup -c 
unzip $RPM_SOURCE_DIR/libf2c.zip
tar xvpfz $RPM_SOURCE_DIR/yaf77-1.6.tgz
cp -av $RPM_SOURCE_DIR/*.gz .
gunzip *.gz
%patch

%build
(cd src && make)
(cd libf2c && sh ./make.elf)
(cd libf2c && make -f makefile.u)
install -m 755 src/f2c f77-f2c /usr/bin
install -m 644 f2c.h /usr/include
cd yaf77-1.6/F77ext && make

%install
install -m 644 f2c.1t %{_mandir}/man1/f2c.1
install -m 644 libf2c/libf2c.a /usr/lib
install -m 755 libf2c/libf2c.so.0.11 /usr/lib
rm -f /usr/lib/libf2c.so /usr/lib/libf2c.so.0
(cd /usr/lib && ln -s libf2c.so.0.11 libf2c.so && ln -s libf2c.so.0.11 libf2c.so.0)
mkdir -p %{_defaultdocdir}/f2c
install -m 644 changes disclaimer f2c.ps permission fc %{_defaultdocdir}/f2c
install -m 644 libf2c/hello.f Changelog.SuSE %{_defaultdocdir}/f2c
install -m 755 yaf77-1.6/f77 /usr/bin/yaf77
install -m 644 yaf77-1.6/README %{_defaultdocdir}/f2c/README.yaf77
install -m 644 yaf77-1.6/F77ext/libF77ext.a /usr/lib

%files
%docdir %{_defaultdocdir}/f2c
%{_defaultdocdir}/f2c
/usr/bin/f2c
/usr/bin/f77-f2c
/usr/bin/yaf77
/usr/include/f2c.h
/usr/lib/libF77ext.a
/usr/lib/libf2c.a
/usr/lib/libf2c.so
/usr/lib/libf2c.so.0
/usr/lib/libf2c.so.0.11
%doc %{_mandir}/man1/f2c.1.gz

%changelog -n f2c
* Fri Mar 02 2001 - fehr@suse.de
- update to current version  from netlib.bell-labs.com
* Fri Nov 17 2000 - fehr@suse.de
- make group tag more specific
* Fri Nov 17 2000 - fehr@suse.de
- prevent conflict between f2c.h and stdlib.h of glibc 2.2
- set group tag
* Thu Jul 06 2000 - fehr@suse.de
- add fixes to libf2c from netlib.bell-labs.com
* Mon Jun 26 2000 - fehr@suse.de
- fix bugs caused by non-overwriteable tmp files (bugzilla #2949)
* Fri May 19 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Fri Feb 11 2000 - fehr@suse.de
- update to newest version from netlib.bell-labs.com
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 31 1999 - fehr@suse.de
- minor fix in f77-f2c
* Wed Nov 18 1998 - ro@suse.de
- fix make.elf
- yaf77: build as elf
* Mon Oct 05 1998 - ro@suse.de
- libf2c: make.elf : use gcc instead of ld to create shared lib
  (gcc knows where to find crtbeginS.o)
* Thu Sep 10 1998 - fehr@suse.de
- fix possible tmp exploit in yaf77 and f77-f2c script
* Wed Aug 19 1998 - fehr@suse.de
- fix possible tmp exploit in fc example script
* Mon Jul 20 1998 - fehr@suse.de
- add version 1.6 of yaf77
* Tue Apr 21 1998 - fehr@suse.de
- copy correct version of man-page into system
* Wed Jan 07 1998 - fehr@suse.de
- fix some bugs in f77-f2c, thanks to Harald Anlauf
* Mon Oct 06 1997 - fehr@suse.de
- made buildable in clean build environment
* Mon May 12 1997 - fehr@suse.de
- fixed wrong links in /usr/lib
* Thu Jan 02 1997 - fehr@suse.de
- changed to work with elf clib
- added sonw new scripts
